### Constructor

# EDataServer SourceCredentialsProvider new

since: 3.16

#### Declaration [src]

    ESourceCredentialsProvider*
    e_source_credentials_provider_new (
      ESourceRegistry* registry
    )

#### Description [src]

Creates a new `ESourceCredentialsProvider`, which is meant to abstract credential management for `ESource`-s.

Available since: 3.16

#### Parameters

`registry`

  Type: `ESourceRegistry`

  An `ESourceRegistry`.

  The data is owned by the caller of the function.

#### Return value

Type: `ESourceCredentialsProvider`

A new `ESourceCredentialsProvider`.

The caller of the function takes ownership of the data, and is responsible for freeing it.